import { RoutingType } from '../config';
import { TemplateFile, Import } from '../types';
import { RouteLinkOptions } from './parseAppConfig';
export interface GenerateTemplateFilesParams {
    routeName: string;
    routePattern: string;
    destinationDir: string;
    routingType: RoutingType;
    routeLinkOptions: RouteLinkOptions;
    importGenerateUrl: Import;
}
declare type GenerateTemplateFiles = (params: GenerateTemplateFilesParams) => TemplateFile[];
declare const generateTemplateFiles: GenerateTemplateFiles;
export default generateTemplateFiles;
